Skip to content
Get started

Upload a file

POST/v1/files

Upload an Excel spreadsheet file for later processing.

Supported formats:

  • Excel (.xlsx)

Maximum file size: 100 MB

Body ParametersForm DataExpand Collapse
file: file

The spreadsheet file to upload

ReturnsExpand Collapse
File = object { id, content_type, created_at, 3 more }

Response representing an uploaded file.

This is returned from POST (upload), GET (retrieve), and list endpoints.

id: string

The unique identifier for this file.

content_type: string

The MIME type of the file.

maxLength255
created_at: string

The timestamp when the file was uploaded.

formatdate-time
file_name: string

The original filename of the uploaded file.

maxLength255
object: "file"

The object type, which is always 'file'.

size: number

The size of the file in bytes.

minimum0

Upload a file

curl https://api.deeptable.com/v1/files \
    -H 'Content-Type: multipart/form-data' \
    -H "Authorization: Bearer $DEEPTABLE_API_KEY" \
    -F 'file=@/path/to/file'
{
  "id": "file_01kfxgjd94fn9stqm414vjb0s8",
  "content_type": "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet",
  "created_at": "2024-01-15T10:30:00Z",
  "file_name": "financial_report.xlsx",
  "object": "file",
  "size": 1048576
}
Returns Examples
{
  "id": "file_01kfxgjd94fn9stqm414vjb0s8",
  "content_type": "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet",
  "created_at": "2024-01-15T10:30:00Z",
  "file_name": "financial_report.xlsx",
  "object": "file",
  "size": 1048576
}